#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkcddb
Version: 18.08.2
Release:        %mkrel %{rel}
Summary:        Library for retrieving and sending cddb information
Group:          System/Libraries
License:        GPLv2
URL:            https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0:        http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires: cmake
BuildRequires: %{_lib}kcodecs-devel
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5auth-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}musicbrainz5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: libxml2-utils
Obsoletes: libkcddb


%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%package -n kcm_cddb
Summary:        KCM module for configuring cddb information
URL:            https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Group:          Sound/Utilities
Recommends:     kcm_cddb-handbook >= %{version}
# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1


%description -n kcm_cddb
This package provides the KCM configuration tool for cddb.

%files -n kcm_cddb -f %name.lang
%_qt5_plugindir/kcm_cddb.so
%_kf5_datadir/config.kcfg/libkcddb5.kcfg
%_kf5_services/libkcddb.desktop

#-----------------------------------------------------------------------------
%package -n kcm_cddb-handbook
Summary:        Handbook package for kcm_cddb
Group:          Documentation
Requires:       kcm_cddb = %{version}
BuildArch:      noarch

%description -n kcm_cddb-handbook
This package provides the handbook for KCM cddb.

%files -n kcm_cddb-handbook
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/*/kcontrol/cddbretrieval5

#------------------------------------------------------------------------------

%define kf5cddb_major 5
%define libkf5cddb %mklibname kf5cddb %kf5cddb_major

%package -n %{libkf5cddb}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libkf5cddb}
A library for retrieving and sending cddb information.

%files -n %{libkf5cddb}
%_kf5_libdir/libKF5Cddb.so.%{kf5cddb_major}*

#------------------------------------------------------------------------------

%define kf5cddbwidgets_major 5
%define libkf5cddbwidgets %mklibname kf5cddbwidgets %kf5cddbwidgets_major

%package -n %{libkf5cddbwidgets}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libkf5cddbwidgets}
A library for retrieving and sending cddb information.

%files -n %{libkf5cddbwidgets}
%_kf5_libdir/libKF5CddbWidgets.so.%{kf5cddbwidgets_major}*

#------------------------------------------------------------------------------

%define libkf5cddb_devel %mklibname kf5cddb -d

%package -n %{libkf5cddb_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5cddb = %version-%release
Requires:       %libkf5cddbwidgets = %version-%release
Provides:       %{name}-devel = %version-%release
Provides:       kcddb-devel = %version-%release
Provides:       kf5cddb-devel = %version-%release

%description -n %{libkf5cddb_devel}
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkf5cddb_devel}
%_kf5_includedir/*
%_kf5_libdir/libKF5Cddb.so
%_kf5_libdir/libKF5CddbWidgets.so
%_kf5_libdir/cmake/KF5Cddb
%_kf5_mkspecsdir/*.pri

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name



%changelog
* Sun Nov 04 2018 adrianomorselli <adrianomorselli> 
* Sun Sep 23 2018 umeabot <umeabot> 18.08.2-1uplos2018
- rebuild with mga way
